@echo off

REM RUH SERVICE PACK PACKAGE NAME
set SERVPACK=MI_MI407-17-R_WXPHF

rem CopyToSDStore.bat
rem This script will copy the RUH package to the SD_STORE.
rem Called by CopyToSDStore.bat
rem J.Kisiel 8/23/2016 HC DI MI PLM-R&D SW DO HES
rem rem History:
rem Name, 	Date, 	   Description
rem ----------------------------------------------
rem J.Kisiel, 12/1/2016, VB10C Service Pack 
rem


set STARTDIR=%~dp0
set LOGPATH=C:\temp
set CP_LOG=%1

echo Starting CopyToSDStore.bat - %COMPUTERNAME%  %DATE% %TIME% >> %CP_LOG%
echo Copying Service Pack Content to ICS
echo Please Wait ...
echo.
xcopy /C /V /E /F /R /Y %STARTDIR%\*.* %SD_HOME%\%SERVPACK%\ >> %CP_LOG%
echo Completed Copying Service Pack Content to ICS.
echo Completed Copying Service Pack Content to ICS. >> %CP_LOG%
echo.
echo.
echo After reboot, log in as the esoft user to continue Service Pack Installation.  
echo Click OK to reboot now.
echo.

rti msgBox "MS Hotfix Patch" "After reboot, log in as the esoft user to continue MS Hotfix Patch Installation.  Click OK to reboot now."

rem If customer selects OK then it will return 1
if "%ERRORLEVEL%" EQU "1" (
	echo Completed CopyToSDStore.bat - %COMPUTERNAME%  %DATE% %TIME% >> %CP_LOG%
	echo. >> %CP_LOG%
	echo. >> %CP_LOG%
	shutdown -r -t 10
)

