@echo off

ECHO Call installation script of each MS Hotfix Patch Day ...

SET SLEEP15=sleep 15
SET ERRORCODE=0
SET LOCAL_LOG_FILE=C:\temp\MI_MI407_17_R_LOG\install.log
SET LOCAL_VERSION_FILE="%MEDHOME%\config\InstalledPatchVersion"

IF DEFINED SLEEP SET SLEEP15=%SLEEP% 15000

mkdir C:\temp\MI_MI407_17_R_LOG >nul 2>&1
wmic qfe | find /i "KB936929" > C:\temp\MI_MI407_17_R_LOG\sp3.txt
if %ERRORLEVEL% == 0 goto START
echo XP SP3 is not installed.  Aborting installation with successful result.
echo XP SP3 is not installed.  Aborting installation with successful result.>> %LOCAL_LOG_FILE%
goto :END

:START
 
SET STARTDIR=%~dp0
SET INSTALLMSHOTFIXES=install_MsHotfixes.cmd

SET PATCHDAY=KB3197835
CALL :INSTALL_PATCHDAY

GOTO :END

:INSTALL_PATCHDAY
wmic qfe | find /i "KB3197835" > %LOCAL_LOG_FILE%
IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix KB3197835 is already installed " >> %LOCAL_LOG_FILE%
				goto :END
				)
SET CMD=%STARTDIR%MS-PATCH-%PATCHDAY%\%INSTALLMSHOTFIXES%

reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\3" /v "1806" /t REG_DWORD /d 0 /f
IF /I EXIST %CMD% CALL %CMD%
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\3" /v "1806" /t REG_DWORD /d 1 /f
reg add "HKLM\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters" /v "DisableWebDAV" /t REG_DWORD /d 1 /f

GOTO :EOF

:END
@ECHO The batch file is returning with the errorcode as %ERRORCODE% >> %LOCAL_LOG_FILE%
@IF %ERRORCODE% == 0 (
	@ECHO Installation completed successfully.
	@ECHO Installation completed successfully. >>  %LOCAL_VERSION_FILE% 
	@ECHO MI_MI407_17_R_LOG >> %LOCAL_VERSION_FILE%
) ELSE (
	@ECHO Installation encountered error, check the installation log file.
	@ECHO "There are some error(s) in the installation, check the return codes in this log file." >> %LOCAL_LOG_FILE%
	@ECHO "wmic qfe" >> %LOCAL_LOG_FILE%
	wmic qfe >> %LOCAL_LOG_FILE%
)

EXIT /B %ERRORCODE%